aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2026-09-04 23:29:17 +0200
committerEugen Wissner <belka@caraus.de>2026-09-04 23:29:17 +0200
commit0db420a455a0ff14d737609128803912f7cb9c04 (patch)
tree5892d093bac0370642a7a03e3e9ace82eff1f2b0
parentb1356496ca48ef3fbafdd4f54f75f27fc868501b (diff)
downloadslackbuilds-0db420a455a0ff14d737609128803912f7cb9c04.tar.gz
shotcut: Added
-rw-r--r--shotcut/README5
-rw-r--r--shotcut/doinst.sh9
-rw-r--r--shotcut/shotcut.SlackBuild122
-rw-r--r--shotcut/shotcut.desktop9
-rw-r--r--shotcut/shotcut.info10
-rw-r--r--shotcut/slack-desc19
6 files changed, 174 insertions, 0 deletions
diff --git a/shotcut/README b/shotcut/README
new file mode 100644
index 0000000..7ed8f32
--- /dev/null
+++ b/shotcut/README
@@ -0,0 +1,5 @@
+Shotcut is a free, open source, cross-platform video editor.
+
+Note: In order to build shotcut correctly, the dependencies
+need to be built in order that they are listed in the
+shotcut.info file.
diff --git a/shotcut/doinst.sh b/shotcut/doinst.sh
new file mode 100644
index 0000000..65c7e2e
--- /dev/null
+++ b/shotcut/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/shotcut/shotcut.SlackBuild b/shotcut/shotcut.SlackBuild
new file mode 100644
index 0000000..f8e5333
--- /dev/null
+++ b/shotcut/shotcut.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# Slackware build script for shotcut.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# Copyright 2016-2018 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=shotcut
+VERSION=${VERSION:-26.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix libpng warning.
+# [Warning] <> libpng warning: iCCP: profile 'icc': 'RGB ': RGB color space not permitted on grayscale PNG
+find . -name "*\.png" -exec identify -format "%[colorspace] " "{}" \; -print0 \
+ | grep -z '^Gray' \
+ | cut -z -d' ' -f2- \
+ | xargs -0 mogrify -strip
+
+mkdir -p build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+make
+make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -name ".gitkeep" -delete
+find $PKG/usr/share/shotcut -type d -empty -delete
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md CuteLogger/LICENSE.LGPL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/shotcut/shotcut.desktop b/shotcut/shotcut.desktop
new file mode 100644
index 0000000..a047739
--- /dev/null
+++ b/shotcut/shotcut.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Terminal=false
+Name=Shotcut
+GenericName=Video Editor
+Exec=shotcut
+Icon=
+Categories=Video;AudioVideo;
diff --git a/shotcut/shotcut.info b/shotcut/shotcut.info
new file mode 100644
index 0000000..659cb43
--- /dev/null
+++ b/shotcut/shotcut.info
@@ -0,0 +1,10 @@
+PRGNAM="shotcut"
+VERSION="26.8.1"
+HOMEPAGE="https://www.shotcut.org/"
+DOWNLOAD="https://github.com/mltframework/shotcut/archive/v26.8.1/shotcut-26.8.1.tar.gz"
+MD5SUM="4aa9c69e35b45d33c924376ea518f469"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack x264 ladspa_sdk"
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/shotcut/slack-desc b/shotcut/slack-desc
new file mode 100644
index 0000000..4c1615f
--- /dev/null
+++ b/shotcut/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+shotcut: shotcut (cross-platform video editor)
+shotcut:
+shotcut: Shotcut is a free, open source, cross-platform video editor.
+shotcut:
+shotcut: Home page: https://www.shotcut.org/
+shotcut:
+shotcut:
+shotcut:
+shotcut:
+shotcut:
+shotcut: